import { axiosClient } from '../../../api/axiosClient'
import type { CreateRolRequest, RolCreatedDto } from './types'

export async function createRole(payload: CreateRolRequest): Promise<RolCreatedDto> {
  const response = await axiosClient.post<RolCreatedDto>('/api/v1/roles', payload)
  return response.data
}
